"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isRunningInVehicleServices = exports.androidNativeHelpers = void 0;
const isRunningInVehicleServices = (() => {
    try {
        //@ts-ignore
        const android = Android;
        return (android !== undefined);
    }
    catch {
        return false;
    }
})();
exports.isRunningInVehicleServices = isRunningInVehicleServices;
const androidNativeHelpers = (insideVs) => ({
    sendNotification: (notification) => {
        if (insideVs) {
            try {
                //@ts-ignore
                Android.sendNotification(JSON.stringify(notification));
            }
            catch (e) {
                console.error(e);
            }
        }
    },
    apiReady: () => {
        if (insideVs) {
            try {
                //@ts-ignore
                Android.apiReady();
            }
            catch (e) {
                console.error(e);
            }
        }
    },
    setItem: (key, value) => {
        if (insideVs) {
            try {
                //@ts-ignore
                Android.setItem(key, value);
            }
            catch (e) {
                console.error(e);
            }
        }
    },
    getItem: (key) => {
        if (insideVs) {
            try {
                //@ts-ignore
                return Android.getItem(key);
            }
            catch (e) {
                console.error(e);
            }
        }
        return null;
    },
    deleteItem: (key) => {
        if (insideVs) {
            try {
                //@ts-ignore
                Android.deleteItem(key);
            }
            catch (e) {
                console.error(e);
            }
        }
    },
    clearItems: () => {
        if (insideVs) {
            try {
                //@ts-ignore
                Android.clearItems();
            }
            catch (e) {
                console.error(e);
            }
        }
    },
    setHospital: (id) => {
        if (insideVs) {
            try {
                //@ts-ignore
                Android.setHospital(id);
            }
            catch (e) {
                console.error(e);
            }
        }
    },
    setPriority: (id) => {
        if (insideVs) {
            try {
                //@ts-ignore
                Android.setPriority(id);
            }
            catch (e) {
                console.error(e);
            }
        }
    },
    setNavLayerPoint: (id, layerData) => {
        if (insideVs) {
            try {
                //@ts-ignore
                Android.setNavLayerPoint(id, layerData);
            }
            catch (e) {
                console.error(e);
            }
        }
    },
    setNavLayerShape: (id, layerData) => {
        if (insideVs) {
            try {
                //@ts-ignore
                Android.setNavLayerShape(id, layerData);
            }
            catch (e) {
                console.error(e);
            }
        }
    },
    deleteNavLayer: (id) => {
        if (insideVs) {
            try {
                //@ts-ignore
                Android.deleteNavLayer(id);
            }
            catch (e) {
                console.error(e);
            }
        }
    }
});
exports.androidNativeHelpers = androidNativeHelpers;
//# sourceMappingURL=AndroidNativeHelpers.js.map